Ptex: PtexReader::FaceData Class Reference

Ptex

Public Member Functions | Protected Attributes | List of all members
PtexReader::FaceData Class Referenceabstract

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::FaceData:

## Public Member Functions
| FaceData (Res resArg)
virtual | ~FaceData ()
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid).
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block.
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)=0
Public Member Functions inherited from PtexFaceData
virtual void | release ()=0
| Release resources held by this pointer (pointer becomes invalid).
virtual bool | isConstant ()=0
| True if this data block is constant.
virtual Ptex::Res | res ()=0
| Resolution of the texture held by this data block.
virtual void | getPixel (int u, int v, void *result)=0
| Read a single texel from the data block.
virtual void * | getData ()=0
| Access the data from this data block.
virtual bool | isTiled ()=0
| True if this data block is tiled.
virtual Ptex::Res | tileRes ()=0
| Resolution of each tile in this data block.
virtual PtexFaceData * | getTile (int tile)=0
| Access a tile from the data block.

## Protected Attributes
Res | _res

## Additional Inherited Members
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead.

## Detailed Description

Definition at line 365 of file PtexReader.h.

## Constructor & Destructor Documentation

## ◆ FaceData()

PtexReader::FaceData::FaceData | ( | Res | resArg | ) |
| inline

Definition at line 367 of file PtexReader.h.

## ◆ ~FaceData()

virtual PtexReader::FaceData::~FaceData | ( |  | ) |
| inlinevirtual

Definition at line 369 of file PtexReader.h.

## Member Function Documentation

## ◆ reduce()

virtual FaceData * PtexReader::FaceData::reduce | ( | PtexReader * | ,
|  | Res | newres,
|  | PtexUtils::ReduceFn | ,
|  | size_t & | newMemUsed
| ) |  |
| pure virtual

Implemented in PtexReader::PackedFace, PtexReader::ConstantFace, and PtexReader::TiledFaceBase.

Referenced by PtexReader::getData().

## ◆ release()

virtual void PtexReader::FaceData::release | ( |  | ) |
| inlinevirtual

Release resources held by this pointer (pointer becomes invalid).

Implements PtexFaceData.

Reimplemented in PtexReader::ErrorFace, and PtexReader::TiledFaceBase.

Definition at line 370 of file PtexReader.h.

## ◆ res()

virtual Ptex::Res PtexReader::FaceData::res | ( |  | ) |
| inlinevirtual

Resolution of the texture held by this data block.

Note: the indicated texture res may be larger than 1x1 even if the texture data is constant.

Implements PtexFaceData.

Definition at line 371 of file PtexReader.h.

References _res.

## Member Data Documentation

## ◆ _res

Res PtexReader::FaceData::_res
| protected

Definition at line 374 of file PtexReader.h.

Referenced by PtexReader::PackedFace::getPixel(), res(), PtexReader::TiledFaceBase::TiledFaceBase(), and PtexReader::PackedFace::tileRes().

The documentation for this class was generated from the following file:

- PtexReader.h